@import url('https://fonts.googleapis.com/css2?family=Baloo+Bhai+2&display=swap');

/* css reset */

* {
    margin: 0;
    padding: 0;
}


/* Body styling */

html {
    scroll-behavior: smooth;
    font-family: 'Baloo Bhai 2', cursive;
}

/* home styling starts here */

#home {
    background-image: url(../images/background.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
}


/* navbar styling starts here  */


.nav {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    width: 100%;
    padding: 5px 0px;
    background-color: rgba(0, 0, 0, 0.85);
    z-index: 10;
}

.logo {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-left: 20px;
}

.logo img {
    width: 50px;
    height: auto;
    border-radius: 50%;
    margin: 0px 10px;
    cursor: pointer;
}


.logo h2 {
    color: firebrick;
    font-size: 2.5rem;
    margin-left: 10px;
    cursor: pointer;
    transition: all ease-in-out 0.2s;
}

.logo h2:hover {
    color: white;
}

#check {
    display: none;
}

.toogle-btn {
    color: white;
    font-size: 30px;
    margin-right: 40px;
    display: none;
    cursor: pointer;
    transition: ease-in-out all 0.3s;
}

.toogle-btn:hover {
    color: grey;
}

.nav ul {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    margin-right: 30px;
}

.nav ul li {
    list-style: none;
    padding: 0 10px;
    font-size: 20px;
}

.nav ul li a {
    color: white;
    text-decoration: none;
    letter-spacing: 0.1px;
    transition: all ease-in-out 0.4s;
}

.nav ul li a:hover {
    color: firebrick;
    border-bottom: firebrick 0.5px solid;
    border-top: firebrick 0.5px solid;
}


@media (max-width: 1200px) {

    .logo h2 {
        font-size: 2rem;
    }

    .nav ul {
        margin-right: 20px;
    }

    .nav ul li {
        font-size: 20px;
    }

    .nav ul li a {
        letter-spacing: 0;
    }

}

@media (max-width: 970px) {

    .nav .logo img {
        margin: 5px;
    }

    .toogle-btn {
        display: block;
    }

    .nav .menu {
        margin-top: 575px;
        height: 500px;
        width: 100vw;
        z-index: -1;
        background-color: rgba(0, 0, 0, 0.9);
        margin-left: -200%;
        position: fixed;
        flex-direction: column;
        align-items: center;
        justify-content: flex-start;
        transition: 0.3s ease-in-out all;
    }

    #check:checked~.menu {
        margin-left: 0%;
    }

    .nav ul li {
        margin: 5px 20px;
        width: 100vw;
        line-height: 4rem;
    }

    .nav ul li a {
        font-size: 22px;
        margin-top: -100%;
        width: 100vw;
        transition: all ease-in-out 0.5s;
        transition-delay: 0.3s;
    }

    #check:Checked~.menu li a {
        margin-top: 0%;
    }

}

@media (max-width:375px) {

    .nav .logo {
        margin-left: 5px;
    }

    .nav .logo img {
        width: 40px;
        height: auto;
        margin: 10px;
    }

    .nav .logo h2 {
        font-size: 1.5rem;
        margin-left: 5px;
    }

    .toogle-btn {
        font-size: 25px;
        margin-right: 20px;
    }
}

/* home styling */

.home {
    height: 450px;
    display: flex;
    flex-wrap: wrap-reverse;
    align-items: center;
    justify-content: center;
}

.home .home-text {
    max-width: 500px;
}

.home .home-text h2 {
    color: rgb(151, 9, 9);
    font-family: 'Baloo Bhai 2';
    font-size: 2.8rem;
    font-weight: bolder;
    animation: home-shadow 1.5s forwards;
}

.home .home-text span {
    color: black;
    font-size: 20px;
    font-family: 'Baloo Bhai 2';
    margin: 5px;
    font-weight: bolder;
    animation: home-shadow 1.5s forwards;
}

@keyframes home-shadow {
    from {
        text-shadow: none;
    }

    to {
        text-shadow: 4px 4px 10px white, -2px -2px 5px white;

    }
}

/* .links{
    display: flex;
    flex-direction: column;
    position: fixed;
    align-items: center;
    justify-content: center;
    height: 200px;
    margin: 0px;
    bottom: 40%;
}  */

/* .links a button{
    margin: 0;
} */

.home .home-img img {
    border-radius: 20%;
    transition: all ease-in-out 0.2s;
}

.home .home-img img:hover {
    transform: scale(2) !important;
    border-radius: 5% !important;
    box-shadow: 2px 2px 5px white, -2px -2px 5px white !important;
}


/* thought body styling start here  */
.mythou{
    font-family: 'Baloo Bhai 2';
    display: block;
    /* width: 95%; */
    font-size: 30px;
    text-align: center;
    margin: 20px auto;
    display: flex;
    flex-wrap: wrap;
    /* align-items: center; */
    justify-content: space-evenly;
}

.thou-coll{
   width: 95vw;
   display: flex;
   flex-direction: column;
   align-items: center;
   justify-content: center;
   font-family: 'Baloo Bhai 2';
   margin: 20px;
}

.tcoll-head{
    font-family: 'Baloo Bhai 2', cursive;
    font-size: 25px;
    font-weight: bold;
    display: block;
    text-align: center;
    margin: 20px auto;
    padding: 10px;
    border: 1px solid #716d6d;
    border-radius: 20px;
    width: 255px;
    background-color: rgb(224, 219, 219);
    color: rgb(87, 16, 16);
    box-shadow: -2px -2px 5px black;

}

.tcoll-body ul{
    width: 80vw;
    display: flex;
    flex-wrap: wrap;
    font-size: 20px;
    align-items: center;
    justify-content: space-evenly;
    margin: 10px;
    border: 1px solid rgb(158, 156, 156);
    border-radius: 20px;
    background-color: rgb(228, 226, 226);
    box-shadow: -2px 2px 5px black;
}

.tcoll-body ul li{
    list-style: none;
    margin: 10px;
}

.tcoll-body ul li a{
    box-shadow: 2px -2px 5px black;
    letter-spacing: 1px;
    text-decoration: none;
    margin: 10px;
    padding: 0px 5px;
    background-color: rgb(218, 214, 214);
    border: 1px solid rgb(143, 142, 142);
    border-radius: 10px;
    color: rgb(19, 19, 112);
    transition: all ease-in-out 0.2s;
}

.tcoll-body ul li a:hover{
    color: white;
    background-color: black;
}

.thought{
    margin: 30px 0;
    padding: 10px 0;
    border-bottom: 3px double black;
}

.t-head{
    font-family: 'Baloo Bhai 2', cursive;
    font-size: 25px;
    font-weight: bold;
    display: block;
    text-align: center;
    margin: 20px auto;
    padding: 5px;
    border: 1px solid #716d6d;
    border-radius: 20px;
    width: 112px;
    background-color: rgb(224, 219, 219);
    color: rgb(87, 16, 16);
    box-shadow: -2px -2px 5px black;
}

.t-body{
    font-family: 'Baloo Bhai 2';
    width: auto;
    height: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    text-align: center;
}

.content{
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    width: 40vw;
    min-width: 230px;
    border: 2px solid rgb(119, 119, 119);
    background-color: rgb(223, 219, 219);
    border-radius: 20px;
    margin: 10px;
    font-size: 1.7rem;
    padding: 10px;
    box-shadow: 5px 5px 10px black;
    transition: all ease-in-out 0.2s;
}

.content:hover{
    transform: scale(1.05);
}

/* footer styling starts here */

footer {
    font-family: 'Baloo Bhai 2';
    background-color: black;
    color: white;
    text-align: center;
    padding: 5px;
    margin-bottom: 3px;
    font-size: 1rem;
}


@media (max-width: 1065px) {

    @import url('https://fonts.googleapis.com/css2?family=Baloo+Bhai+2&display=swap');

    .home {
        height: 475px;
    }

    .home img {
        margin: 50px 0px;
    }

    .home .home-text {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .home .home-text h2 {
        font-size: 2rem;
        font-family: 'Baloo Bhai 2', cursive;
    }

    .home .home-text span {
        font-size: 19px;
        text-align: center;
        font-family: 'Baloo Bhai 2', cursive;
    }

 
}

/* Media query at 570px */

@media (max-width:570px) {


    .content{
        width: 85vw;
    }
}

/* Media Query at 380px */

@media (max-width:380px) {

    @import url('https://fonts.googleapis.com/css2?family=Baloo+Bhai+2&display=swap');

    .home .home-text h2 {
        font-size: 1.5rem;
        font-family: 'Baloo Bhai 2', cursive;
    }

    .home .home-text span {
        font-size: 17px;
        text-align: center;
        font-family: 'Baloo Bhai 2', cursive;
    }

    .thou-coll{
        width: 83vw;
    }

    .content{
        font-size: 18px;
    }

    .tcoll-head{
        font-size: 1rem;
        width: 165px;
    }

    .tcoll-body ul li{
        margin: 3px;
    }

    .tcoll-body ul li a{
        margin: 1px;
        font-size: 15px;
        padding: 2px;
    }

    footer{
        font-size: 13px;
        font-family: 'Baloo Bhai 2', cursive;
    }

}


